<template>
    <div>
        <div class="container">

            <h1 class="h1 underline">Recetas</h1>
            <hr class="margin-top-10">

            <div class="margin-top-10">
                <NuxtLink to="/recipies/get">Registrar nueva receta</NuxtLink>
            </div>

            <div class="content margin-top-20">
                <table class="full-width table table-hover table-bordered table-sm">
                    <thead>
                        <tr>
                            <th width="2%">#</th>
                            <th>Descripción</th>
                            <th>Fecha de creación</th>
                            <th>Para</th>
                            <th>Precio</th>
                            <th></th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr v-for="(item, index) in recetaList" :key="index">
                            <td class="text-center">{{ item.id }}</td>
                            <td class="text-center">{{ item.nombre }}</td>
                            <td class="text-center">{{ item.createdAt }}</td>
                            <td class="text-center">{{ item.user.nombres }} {{ item.user.apellidos }}</td>
                            <td class="text-center">{{ item.totalPrice }} S/.</td>
                            <td class="text-center">
                                <NuxtLink :to="`/recipies/get/${item.id}?a=2`">Eliminar</NuxtLink>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="4" align="right">Total:</td>
                            <td class="text-center">{{ total }} S/.</td>
                            <td colspan="2"></td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</template>
<script setup lang="ts">
    import type { recipieType } from '~/server/utils/types/recipieType';
    let recetaList:Array<recipieType> = await $fetch('/api/recipie', {   
        method: 'GET',
        headers: { 'method': 'list' }
    });
    let total:number = recetaList.map((r: recipieType):number => parseFloat(r.totalPrice))
    .reduce((acumulator:number, currentValue:number) => acumulator + currentValue, 0);
    
</script>